html {
    height: 100%;
}

body {
    display: flex;
    height: 100%;
    margin: 0;
    flex-direction: column;
    background-color: rgb(87, 154, 254);
    background-image: url(images/fond.jpg);
    background-repeat: repeat;
    overflow: hidden;
}

#panneau {
    position: absolute;
    width: 250px;
    border-color: #000000;
    border-style: solid;
    border-width: 3px 3px 3px 0px;
    border-radius: 0px 15px 15px 0px;
    height: calc(90% - 35px);
    left: -273px;
    top: calc(50% + 5px);
    transform: translateY(-50%);
    background-color: #ffffff;
    z-index: 10;
    transition: left 0.2s ease;
    background-image: url(images/fond-etagere.jpg);
    background-repeat: repeat;
    padding: 10px;
    box-shadow: 0px 0px 10px inset #525252;
}

#bouton-panneau {
    position: absolute;
    left: calc(100% + 33px);
    height: 50px;
    width: 50px;
    border-radius: 5px;
    background-image: url(images/options.png);
    background-size: 80%;
    background-position: center;
    background-repeat: no-repeat;
    transition: left 0.2s ease;
}


#zone-boutons-bas {
    position: absolute;
    width: auto;
    height: auto;
    left: 30px;
    bottom: 40px;
    z-index: 9;
}

#zone-boutons-bas>button {
    left: 30px;
    bottom: 40px;
    height: 50px;
    width: 50px;
    border-radius: 5px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 80%;
}

#zone-zoom-bas {
    position: absolute;
    width: auto;
    height: auto;
    left: 50%;
    bottom: 40px;
    z-index: 9;
    transform: translateX(-50%);
    background-color: rgba(0,0,0,0.5);
    padding: 5px;
    border-radius: 5px;
}

#zone-zoom-bas p {
    text-align: center;
    color: #ffffff;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
}

#bouton-poubelle {
    background-image: url(images/poubelle.svg);
}

#bouton-afficher-blocs {
    background-image: url(images/afficher.svg);
}

#bouton-masquer-blocs {
    background-image: url(images/masquer.svg);
}

.bouton-panneau {
    display: block;
    width: 80%;
    margin: 5px auto 5px auto;
    border-radius: 15px;
    font-size: 18px;
    font-weight: bold;
    padding-top: 3px;
    padding-bottom: 3px;
    background-color: #ffffff;
    font-family: Arial, Helvetica, sans-serif;
    transition: all 0.2s ease;
}

.bouton-panneau:hover {
    transform: scale(1.1);
    transition: all 0.2s ease;
}

.bouton-panneau.actif {
    background-color: yellow;
}

.zone-option {
    position: relative;
    text-align: center;
    border: 2px #fff solid;
    border-radius: 5px;
    margin: 10px;
    background-color: rgba(0, 0, 0, 0.2);
}

.zone-option h1 {
    font-size: 16px;
    font-family: Arial, Helvetica, sans-serif;
    color: #ffffff;
    font-weight: bold;

}

#reglages {
    margin: auto;
    padding: 15px;
    border-radius: 0px 0px 15px 15px;
    border: 3px solid #000000;
    width: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    background-color: #ffffff;    
}

.reglage * {
    display: block;
    text-align: center;
}

#reglages button {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    height: 40px;
    margin-right: 10px;   
}

#reglages input {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    width: 80px;
    height: 40px;
    margin-right: 10px;
    text-align: center; 
}

#milieu {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

#zone-droite {
    width: calc(100% - 40px);
    height: calc(100% - 40px);
    border: 10px rgba(255, 255, 255,0.8) inset;
    background: linear-gradient(to bottom, #f2f2f2, #87ceeb);
    overflow-x: scroll;
    position: relative;
    border-radius: 15px;
    user-select: none;
}

#modeles {
    position: sticky;
    width: fit-content;
    left: 50%;
    top: 10px;
    transform: translateX(-50%);
}

.modele {
    height: 50px;
    cursor:copy;
    display: inline-block;
}

#bloc-modele {
    background-image: url(images/grab.png);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    background-color: rgba(68, 237, 17, 0.5);
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.4) inset;
    width: 100px;
    height: 50px;
    border: none;
}

#pont-modele {
    background-image: url(images/grab.png), url(images/fleche.png);
    background-size: contain,100% 50px;
    background-position: center, left;
    background-repeat: no-repeat, repeat-x;
    background-color: transparent;
    border: 0;
    width: 100px;
    position: relative;
}

#ponts-modele {
    background-image: url(images/grab.png), url(images/fleche.png);
    background-size: contain,25% 25px;
    background-position: center, left bottom;
    background-repeat: no-repeat, repeat-x;
    background-color: transparent;
    border: 0;
    width: 100px;
    position: relative;
}

.sucette {
    position: absolute;
    cursor: grabbing;
}

.tete-sucette {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: none;
    outline: none;
    position: relative;
    overflow: hidden;
}

.tete-sucette::before {
    content: "";
    position: absolute;
    top: -15px; /* Ajustement pour décentrer verticalement */
    left: 5px; /* Ajustement pour décentrer horizontalement */
    width: calc(100% + 10px); /* Ajustement pour l'ombre */
    height: calc(100% + 10px); /* Ajustement pour l'ombre */
    background: radial-gradient(circle, rgba(255, 255, 255, 0.8) 0%, rgba(255, 255, 255, 0) 90%);
    border-radius: 50%; /* Pour rendre l'ombre ronde */
}

.manche-sucette {
    width: 4px;
    height: 100px;
    margin: auto;
}

.modele > .manche-sucette {
    height: 20px;
}

.sucette.selection .tete-sucette, .sucette.selection .manche-sucette  {
    box-shadow: 0px 0px 5px 2px red;
}

.bloc {
    margin: 0;
    padding: 0;
    height: 100px;
    position: absolute;
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.4) inset;
    border: none;
    cursor: grabbing;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.2s linear;;
}


.ponts {
    margin: 0;
    padding: 0;
    height: 50px;
    position: absolute;
    top: 10px;
    left: 50%;
    background-color: transparent;
    border: 0;
    cursor: grabbing;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url(images/fleche.png);
    background-position: left;
    background-repeat: repeat-x;
}

.pont {
    margin: 0;
    padding: 0;
    height: 50px;
    position: absolute;
    top: 10px;
    left: 50%;
    background-color: transparent;
    border: 0;
    cursor: grabbing;
    display: flex;
    align-items: center;
}

.bloc.selection::before {
    content: '';
    top: -3px; /* Déplace le cadre de 3px vers le haut pour compenser l'espace occupé par la bordure */
    left: -3px; /* Déplace le cadre de 3px vers la gauche pour compenser l'espace occupé par la bordure */
    height: calc(100% + 6px); /* Ajoute 6px à la hauteur pour couvrir le cadre */
    width: calc(100% + 6px); /* Ajoute 6px à la largeur pour couvrir le cadre */
    border: 3px red dotted;
    box-sizing: border-box;
    position: absolute;
    pointer-events: none;
}



.ponts.proche,.pont.proche, .sucette.proche {
    background-color: rgba(221, 255, 1, 0.742);
}

.pont.retourne svg {
    transform: scaleY(-1);
}

.bouton-zoom {
    position: fixed;
    top: 10px;
    width: 40px;
    height: 40px;
    border: none;
    outline: none;
    padding: 0;
    background-color: transparent;
    background-size: contain;
}

.nombre-bloc {
    position: absolute;
    top: -80px;
    left: 0px;
    height: 60px;
    width: 60px;
    padding: 5px;
    background-color: aqua;
    border-radius: 50%;
    font-family: 'Courier New', Courier, monospace;
    font-size: 36px;
    font-weight: bold;
    text-align: center;
}

.menu-contextuel {
    position: absolute;
    background-color: #000000;
    color: #fff;
    font-size: 14px;
    border: 3px outset #ffffff;
    padding: 15px;
    border-radius: 15px;
    cursor: pointer;
  }
  
  .menu-contextuel div {
    padding: 4px;
    border-radius: 4px;
  }
  
  .menu-contextuel div:hover {
    color: #000000;
    background-color: #fff;  
  }

#bouton-gauche {
    width: 40px;
    height: 40px;
    position: sticky;
    top: 5px;
    left: 5px;
}

#bouton-droite {
    width: 40px;
    height: 40px;
    position: sticky;
    top: 5px;
    right: 5px;
    left: auto;
}

#droite {
    height: 10px;
    width: 0px;
    background-color: #000000;
    position: relative;
    top: 50%;
    transition: width 0.1s ease;
    border-radius: 5px;
}

.graduation {
    position: absolute;
    bottom: 10px;
    padding: 0;
    margin: 0;
    border: 0;
    transform: translateX(-50%);
    background-color: #000000;
}

.graduation.proche {
    background-color: red;
    box-shadow: 0px 0px 2px 2px red;
}

.valeur:hover {
    background-color: rgb(255, 183, 0);
    transform: scale(1.2) translateX(-50%);
}

.graduation:hover .valeur {
    background-color: rgb(255, 183, 0);
    transform: scale(1.2) translateX(-50%);
}

.graduation:hover {
    background-color: red;
}

.graduation-10 {
    height: 80px;
    width: 10px;
}

.graduation-5 {
    height: 40px;
    width: 6px;
    background-color: rgb(117, 31, 117);
}

.graduation-1, .graduation-2 {
    height: 35px;
    width: 4px;
    background-color: blue;
}

.valeur {
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    font-family: 'Courier New', Courier, monospace;
    background-color: rgba(255, 255, 0, var(--opacite-fond)); /* Jaune avec une opacité variable */
    border-radius: 0.1em;
    text-align: center;
    transition: all 0.2s ease;
}


.valeur-10 {
    font-weight: bold;
}


.hide, .masquage-chevauchement {
    display: none;
}